package com.sky.ioc.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 指标
 * */
@Data
@ApiModel(description = "指标")
public class Index {

    /**ID*/
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty(value = "父id")
    private Integer parentId;
    @ApiModelProperty(value = "指标名称", required = true)
    private String  name;
    /***/
    @ApiModelProperty(value = "指标单位", required = true)
    private String  units;

    @ApiModelProperty(value = "默认值")
    private String defaultValue;
    @ApiModelProperty(value = "计算规则")
    private String rule;

    @ApiModelProperty(value = "启用位置")
    private String useSite;
    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否删除")
    private Integer isDel =0;

}
