package com.sky.ioc.entity.domain.energy;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class DeviceMessage {

    /** ID */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /** 设备ID */
    private Integer deviceId;

/*
    其中service 为服务名，supplierId为服务厂商编号，apiUrl为获取摄像头列表的地址，module为模块名，id为设备id，mesaage为离线通知内容
*/
    /** 服务名 */
    private String service;
    /** 服务厂商编号 */
    private String supplierId;
    /** 获取摄像头列表的地址 */
    private String apiUrl;
    /** 模块名 */
    private String module;
    /** 离线通知内容 */
    private String message;

    private String createTime;

}
