package com.sky.ioc.entity.params.notice;

import lombok.Data;

@Data
public class FeedBackParam {

    /**
     * 反馈来源
     * 1 app
     * 2 其他
     * */
    private Integer type;

    /**
     * 0未读
     * 1 已读
     * */
    private Integer status;

    /**
     * 反馈模块
     * 1 能源模块
     * 2 生活模块
     * 3 办公模块
     * */
    private Integer module;

    /**
     * 分页数
     */
    private Integer pageSize =10;

    /**
     * 分页数
     */
    private Integer pageStart =0;

    /** 开始时间 */
    private String startTime;

    /** 结束时间 */
    private String endTime;
}
