package com.sky.ioc.entity.domain.energy;

import lombok.Data;

/**
 * 能源设备
 * */
@Data
public class EnergyDevice {

    /** ID */
    private Integer id;
    /** 设备名称 */
    private String deviceName;
    /** 设备ID */
    private String deviceId;
    /** 设备类型 */
    private Integer deviceType;
    /** 设备位置 */
    private String deviceLocation;
    /** 回路地址 */
    private String loopDetail;
    /** 网关编号 */
    private String gatewayCode;
    /** 网关服务器 */
    private String gatewayIp;
    /** 用途 */
    private String usage;
    /** 设备状态：1-开启 */
    private int status;
}
