package com.sky.ioc.entity.domain.notice;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class Feedback {

    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 反馈模块
     * 1 能源模块
     * 2 生活模块
     * 3 办公模块
     * */
    private Integer module;

    private String content;
    /**
     * 反馈来源
     * 1 app
     * */
    private Integer type;


    /**
     * 发送人
     * */
    private String creator;
    /**
     * 状态
     * 0未读
     * 1已读
     * */
    private Integer status;

    /**
     * 0 未删除
     * 1 已删除
     * */
    private Integer is_del;

    private String createTime;

    private String updateTime;
}
