package com.sky.ioc.entity.domain.person;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class Person {

    @TableId(type = IdType.AUTO)
    private  Integer id;

    /**姓名*/
    private String name;

    /**单位ID*/
    private String companyId;
    /**单位名称*/
    private String companyName;
    /**
     * 部门ID
     * */
    private Integer deptId;

    /**部门名称*/
    private String deptName;

    /**手机号*/
    private String phone;

    /**
     * 人员类型
     * 0 正式员工
     * 1 外协员工
     * 2 驻场物业
     * 3 施工人员
     * 4 厂商
     * 5 其他
     * */
    private Integer type;
    /**人员状态
     * 0 正常
     * 1 已离职
     * 2 暂时冻结
     * */
    private Integer status;

    /***/
    private String createTime;

    /***/
    private String updateTime;

    /**
     * 是否删除
     * 0 否
     * 1 是
     * */
    private Integer isDel;
}
