package com.sky.ioc.mapper.system;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sky.ioc.entity.domain.system.Users;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

@Mapper
public interface UserMapper extends BaseMapper<Users> {
    @Update("update  users set common_menus=#{menuIDs} WHERE id=#{userId} ")
    Integer updateCommonMenusByUserIdAndMenuId(@Param("userId") long userId,@Param("menuIDs")  String menuIDs);
    @Select("select * from users where id = #{userId} ")
    Users getUsersById(@Param("userId") long userId);

}
